
<!doctype html>
<!-- Note that adding an appcache really speeds things up after the first load
    You need to amend the appcache file to meet your needs.
    Don't forget to change the appcache file if you update ANY
    of the files in it otherwise the old versions will ALWAYS be used.
<html lang="en" manifest="./uibuilder.appcache">
-->
<html lang="en">
<!--
    This is the default, template html for uibuilder.
    It is meant to demonstrate the use of VueJS & bootstrap-vue to dynamically
    update the ui based on incoming/outgoing messages from/to the
    Node-RED server.

    You will want to alter this to suite your own needs. To do so,
    copy this file to <userDir>/uibuilder/<url>/src.
-->
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, minimum-scale=1, initial-scale=1, user-scalable=yes">

    <title>Civic Digits Admin</title>
    <meta name="description" content="Civic Digits admin page">

    <link rel="icon" href="./images/node-blue.ico">

    <!-- See https://goo.gl/OOhYW5 -->
    <link rel="manifest" href="./manifest.json">
    <meta name="theme-color" content="#3f51b5">

    <!-- Used if adding to homescreen for Chrome on Android. Fallback for manifest.json -->
    <meta name="mobile-web-app-capable" content="yes">
    <meta name="application-name" content="Civic Digits Admin">

    <!-- Used if adding to homescreen for Safari on iOS -->
    <meta name="apple-mobile-web-app-capable" content="yes">
    <meta name="apple-mobile-web-app-status-bar-style" content="black-translucent">
    <meta name="apple-mobile-web-app-title" content="Civic Digits Admin">

    <!-- Homescreen icons for Apple mobile use if required
        <link rel="apple-touch-icon" href="./images/manifest/icon-48x48.png">
        <link rel="apple-touch-icon" sizes="72x72" href="./images/manifest/icon-72x72.png">
        <link rel="apple-touch-icon" sizes="96x96" href="./images/manifest/icon-96x96.png">
        <link rel="apple-touch-icon" sizes="144x144" href="./images/manifest/icon-144x144.png">
        <link rel="apple-touch-icon" sizes="192x192" href="./images/manifest/icon-192x192.png">
    -->

    <link type="text/css" rel="stylesheet" href="../uibuilder/vendor/bootstrap/dist/css/bootstrap.min.css" />
    <link type="text/css" rel="stylesheet" href="../uibuilder/vendor/bootstrap-vue/dist/bootstrap-vue.css" />
    
    <link rel="stylesheet" href="./index.css" media="all">
</head>
<body>
    <div id="app" v-cloak>
        <b-container id="app_container">
            <h1 style="text-align:center" class="pt-3 pb-3 text-light">
                Civic Digits Admin
            </h1>

            <div role="tablist">
                <b-button block href="#" v-b-toggle.accordion-1 variant="dark" class='mt-2' size='lg'>Face 1</b-button>
                <b-collapse id="accordion-1" accordion="my-accordion" role="tabpanel">
                    <b-form class="p-3 bg-light">
                        <h4>Data Source</h4>
                        <div>
                            <b-form-radio-group
                              v-model="data[0]"
                              :options="data_options"
                              v-on:change="dataRadio1"
                              class="mb-3"
                              size="lg"
                            ></b-form-radio-group>
                        </div>
                        <h4>Processing</h4>
                        <div>
                            <b-form-radio-group
                              v-model="continuous[0]"
                              :options="processing_options"
                              v-on:change="continuousRadio1"
                              class="mb-3"
                              size="lg"
                            ></b-form-radio-group>
                        </div>
                        <h4>Phone Mapping</h4>
                        <div class='pt-2 pb-2'>
                            <b-form-checkbox v-model="face_features[0]" v-on:change="faceToggle1" switch size="lg">
                              Individual features
                            </b-form-checkbox>
                        </div>
                        <div v-if="!face_features[0]">
                            <p>
                                <label for="face-1"><b>Whole face:</b></label>
                                <b-form-input id="face-1" type='number' v-model="face_phones[0]['whole']" v-on:change="faceChange(1)"></b-form-input>
                            </p>   
                        </div>
                        <div v-if="face_features[0]">
                            <p>
                                <label for="lbrow-1"><b>Left eyebrow:</b></label>
                                <b-form-input id="lbrow-1" type='number' v-model="face_phones[0]['left eyebrow']" v-on:change="featureChange(1, 'left eyebrow')"></b-form-input>
                            </p>
                            <p>
                                <label for="rbrow-1"><b>Right eyebrow:</b></label>
                                <b-form-input id="rbrow-1" type='number' v-model="face_phones[0]['right eyebrow']" v-on:change="featureChange(1, 'right eyebrow')"></b-form-input>
                            </p>
                            <p>
                                <label for="leye-1"><b>Left eye:</b></label>
                                <b-form-input id="leye-1" type='number' v-model="face_phones[0]['left eye']" v-on:change="featureChange(1, 'left eye')"></b-form-input>
                            </p>
                            <p>
                                <label for="reye-1"><b>Right eye:</b></label>
                                <b-form-input id="lbrow-1" type='number' v-model="face_phones[0]['right eye']" v-on:change="featureChange(1, 'right eye')"></b-form-input>
                            </p>
                            <p>
                                <label for="mouth-1"><b>Mouth:</b></label>
                                <b-form-input id="mouth-1" type='number' v-model="face_phones[0]['mouth']" v-on:change="featureChange(1, 'mouth')"></b-form-input>
                            </p>
                        </div>
                    </b-form>
                </b-collapse>
                <b-button block href="#" v-b-toggle.accordion-2 variant="dark" class='mt-2' size='lg'>Face 2</b-button>
                  <b-collapse id="accordion-2" accordion="my-accordion" role="tabpanel">
                      <b-form class="p-3 bg-light">
                        <h4>Data Source</h4>
                        <div>
                            <b-form-radio-group
                              v-model="data[1]"
                              :options="data_options"
                              v-on:change="dataRadio2"
                              class="mb-3"
                              size="lg"
                            ></b-form-radio-group>
                        </div>
                        <h4>Processing</h4>
                        <div>
                            <b-form-radio-group
                              v-model="continuous[1]"
                              :options="processing_options"
                              v-on:change="continuousRadio2"
                              class="mb-3"
                              size="lg"
                            ></b-form-radio-group>
                        </div>
                        <h4>Phone Mapping</h4>
                        <div class='pt-2 pb-2'>
                            <b-form-checkbox v-model="face_features[1]" v-on:change="faceToggle2" switch size="lg">
                              Individual features
                            </b-form-checkbox>
                        </div>
                        <div v-if="!face_features[1]">
                            <p>
                                <label for="face-2"><b>Whole face:</b></label>
                                <b-form-input id="face-2" type='number' v-model="face_phones[1]['whole']" v-on:change="faceChange(2)"></b-form-input>
                            </p>   
                        </div>
                        <div v-if="face_features[1]">
                            <p>
                                <label for="lbrow-2"><b>Left eyebrow:</b></label>
                                <b-form-input id="lbrow-2" type='number' v-model="face_phones[1]['left eyebrow']" v-on:change="featureChange(2, 'left eyebrow')"></b-form-input>
                            </p>
                            <p>
                                <label for="rbrow-2"><b>Right eyebrow:</b></label>
                                <b-form-input id="rbrow-2" type='number' v-model="face_phones[1]['right eyebrow']" v-on:change="featureChange(2, 'right eyebrow')"></b-form-input>
                            </p>
                            <p>
                                <label for="leye-2"><b>Left eye:</b></label>
                                <b-form-input id="leye-2" type='number' v-model="face_phones[1]['left eye']" v-on:change="featureChange(2, 'left eye')"></b-form-input>
                            </p>
                            <p>
                                <label for="reye-2"><b>Right eye:</b></label>
                                <b-form-input id="lbrow-2" type='number' v-model="face_phones[1]['right eye']" v-on:change="featureChange(2, 'right eye')"></b-form-input>
                            </p>
                            <p>
                                <label for="mouth-2"><b>Mouth:</b></label>
                                <b-form-input id="mouth-2" type='number' v-model="face_phones[1]['mouth']" v-on:change="featureChange(2, 'mouth')"></b-form-input>
                            </p>
                        </div>
                    </b-form>
                  </b-collapse>
            </div>
        </b-container>
    </div>

    <!-- These MUST be in the right order. Note no leading / -->
    <!-- REQUIRED: Socket.IO is loaded only once for all instances
                     Without this, you don't get a websocket connection -->
    <script src="../uibuilder/vendor/socket.io/socket.io.js"></script>

    <!-- --- Vendor Libraries - Load in the right order --- -->
    <script src="../uibuilder/vendor/vue/dist/vue.js"></script> <!-- dev version with component compiler -->
    <!-- <script src="../uibuilder/vendor/vue/dist/vue.min.js"></script>   prod version with component compiler -->
    <!-- <script src="../uibuilder/vendor/vue/dist/vue.runtime.min.js"></script>   prod version without component compiler -->
    <script src="../uibuilder/vendor/bootstrap-vue/dist/bootstrap-vue.js"></script>

    <!-- REQUIRED: Sets up Socket listeners and the msg object -->
    <!-- <script src="./uibuilderfe.js"></script>   //dev version -->
    <script src="./uibuilderfe.min.js"></script> <!--    //prod version -->
    <!-- OPTIONAL: You probably want this. Put your custom code here -->
    <script src="./index.js"></script>

</body>

</html>